# -*- coding: utf-8 -*-
"""
Created on Mon Apr 25 08:11:27 2016

@author: vilem.klepac
"""
import math

from ohybovasila import SigmaoI, SigmaoIIa, SigmaoIIb, SigmaoIIIa, SigmaoIIIb, SigmaoIV
from krut import TauIIIa, TauIIIb, TauIIb,TauIV
from souciniteleI import SigmaCsI
from souciniteleII import SigmaCsII, TauCsII
from souciniteleIII import SigmaCsIII, TauCsIII
from souciniteleIV import SigmaCsIV, TauCsIV

Taud=140

ksI=SigmaCsI/SigmaoI
ksIIa=SigmaCsII/SigmaoIIa
ksIIb=SigmaCsII/SigmaoIIb
ksIIIa=SigmaCsIII/SigmaoIIIa
ksIIIb=SigmaCsIII/SigmaoIIIb
ksIV=SigmaCsIV /SigmaoIV

ktIIIa = Taud /TauIIIa
ktIIIb = Taud  /TauIIIb
ktIIb  = Taud /TauIIb
ktIV   = Taud  /TauIV

kI   =round(ksI,2)
kIIa =round(ksIIa,2)
kIIIa=round(math.pow((ksIIIa**2)*(ktIIIa**2)/(ksIIIa**2+ktIIIa**2),1.0/2.0),2)
kIIIb=round(math.pow((ksIIIb**2)*(ktIIIb**2)/(ksIIIb**2+ktIIIb**2),1.0/2.0),2)
kIIb =round(math.pow((ksIIb**2)*(ktIIb**2)/(ksIIb**2+ktIIb**2),1.0/2.0),2)
kIV  =round(math.pow((ksIV**2)*(ktIV**2)/(ksIV**2+ktIV**2),1.0/2.0),2)

print "kI", kI, "kIIa", kIIa, "kIIIa", kIIIa, "kIIIb", kIIIb, "kIIb", kIIb, "kIV", kIV

if kI<4:
    print "Na vrubu I zjistena nizka bezpecnost"
else:
    print "Bezpecnost OK"


if kIIa<4:
    print "Na vrubu II zjistena nizka bezpecnost"
else:
    print "Bezpecnost OK"    
        
if kIIb<4:
    print "Na vrubu IIb zjistena nizka bezpecnost"
else:
    print "Bezpecnost OK"        
        
if kIIIa<4:
    print "Na vrubu IIIa zjistena nizka bezpecnost"
else:
    print "Bezpecnost OK"        
    
if kIIIb<4:
    print "Na vrubu IIIb zjistena nizka bezpecnost"
else:
    print "Bezpecnost OK"
    
if kIV<4:
    print "Na vrubu IV zjistena nizka bezpecnost"
else:
    print "Bezpecnost OK"    